%define url ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug
%define tarname %{name}-%{version}
%define kernel_dir /usr/src/linux
%define use_klibc 0

%define volid_name volume_id
%define lib_volid_name %mklibname %{volid_name} 0

%define helpers_path /%{_lib}/%{name}
%define EXTRAS "extras/ata_id extras/cdrom_id extras/dasd_id extras/edd_id extras/firmware extras/path_id/ extras/scsi_id extras/usb_id extras/volume_id/"

%{?_without_klibc:	%{expand: %%global use_klibc 0}}
%{?_with_klibc:		%{expand: %%global use_klibc 1}}

Name: 		udev
Version: 	098
Release: 	%mkrel 7
License: 	GPL
Summary: 	A userspace implementation of devfs
Group:		System/Configuration/Hardware
URL:		%{url}
Source: 	%{url}/%{tarname}.tar.bz2
Source2:	udev.rules
Source5:	udev.dvb-scripts
Source7:	udev.init
Source8:	udev-links.conf
Source33:	mouse.conf
Source34:	udev_import_usermap
# from hotplug-2004_09_23
Source40:	hotplug-usb.distmap
Source41:	hotplug-usb.handmap
# (initially from Slackware, additions to use pam script)
Source42:	floppy-extra-devs.sh
# (blino) persistent rules library and utility
Source50:	udev_persistent_lib.sh
Source51:	udev_copy_temp_rules
# (blino) net rules and helpers
Source60:	62-net.rules
Source61:	udev_net_name_helper
Source62:	udev_net_create_ifcfg
Source63:	udev_net_action
Source64:	udev_net.sysconfig
# (blino) persistent block rules
Source70:	62-create_persistent.rules
Source71:	udev_cdrom_helper

Patch30:	udev-054-ide-model.patch
Patch35:	udev-098-coldplug.patch

# make hardcoded /lib/udev path configurable
Patch50:	udev-089-libudevdir.patch

#Conflicts:  devfsd
Conflicts:	sound-scripts < 0.13-1mdk
Conflicts:	hotplug < 2004_09_23-22mdk
Conflicts:	pam < pam-0.99.3.0-1mdk
Conflicts:	initscripts < 8.38
Requires:	fileutils
%if %use_klibc
BuildRequires:	kernel-source
Obsoletes: %{name}-klibc
Provides: %{name}-klibc
%endif
BuildRequires:	glibc-static-devel
BuildRequires:	libsysfs-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Obsoletes:	speedtouch eagle-usb

%description
Udev is an implementation of devfs/devfsd in userspace using sysfs and
/sbin/hotplug. It requires a 2.6 kernel to run properly.

Like devfs, udev dynamically creates and removes device nodes from /dev/.
It responds to /sbin/hotplug device events.

#%package	klibc
#Summary:	Udev klibc binaries
#Group:		System/Configuration/Hardware
#Requires:	%{name} = %{version}-%{release}
#%description	klibc
#The tools compiled against klibc for use in initial ramdisk.
#
#Note that this package contains only the binaries,
#the confguration files are included in the base package.


%package doc
Summary: Udev documentation
Group: Books/Computer books
%description doc
This package contains documentation of udev.

%package tools
Summary: Udev tools
Group: System/Configuration/Hardware
Conflicts: udev < 068-14mdk
%description tools
This package contains tools to help debugging and monitoring of udev.

%package -n %{lib_volid_name}
Group: System/Libraries
Summary: Library for volume_id
%description -n %{lib_volid_name}
Library for volume_id.

%package -n %{lib_volid_name}-devel
Group: Development/C
Summary: Devel library for volume_id
Provides: %{volid_name}-devel = %{version}-%{release}
Provides: lib%{volid_name}-devel = %{version}-%{release}
Requires: %{lib_volid_name} = %{version}
%description -n %{lib_volid_name}-devel
Devel library for volume_id.

%prep
%setup -q
# help vi/gendiff:
find -type f | xargs chmod u+rw
%patch30 -p1 -b .ide_model
%patch35 -p1 -b .coldplug
%patch50 -p1 -b .libudevdir

perl -pi -e "s@/lib/udev@%{helpers_path}@" README RELEASE-NOTES

%build
%serverbuild
%if %use_klibc
make KERNEL_DIR=%{kernel_dir} LINUX_INCLUDE_DIR=%{_includedir} USE_KLIBC=true USE_LOG=false libudevdir=/%{_lib}/udev
install -m 755 udev udev-klibc 
install -m 755 udevstart udevstart-klibc
%make clean
%endif

make libudevdir=/%{_lib}/udev EXTRAS=%EXTRAS USE_LOG=true

%install
rm -rf $RPM_BUILD_ROOT
%make EXTRAS=%EXTRAS DESTDIR=$RPM_BUILD_ROOT install libudevdir=/%{_lib}/udev libdir=/%{_lib} usrlibdir=%{_libdir}

%if %use_klibc
install -m 755 udev-klibc $RPM_BUILD_ROOT/sbin/
install        udevstart-klibc $RPM_BUILD_ROOT/sbin/
%endif

# (blino) install it manually, because our outdated kernel makes it mandatory
install udevstart $RPM_BUILD_ROOT/sbin/

install -d $RPM_BUILD_ROOT%{_initrddir}
install -m 755 %SOURCE7 $RPM_BUILD_ROOT%{_initrddir}/udev

chmod 755 $RPM_BUILD_ROOT%{_initrddir}/udev

# extra docs
install -m 644 extras/scsi_id/README README.scsi_id
install -m 644 extras/volume_id/README README.udev_volume_id

install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/%{name}/rules.d/50-mdk.rules
install -m 644 etc/%{name}/rules.d/* $RPM_BUILD_ROOT/etc/%{name}/rules.d/

install -d $RPM_BUILD_ROOT/etc/%{name}/scripts
install -m 755  extras/ide-model.sh $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  %SOURCE42 $RPM_BUILD_ROOT/etc/%{name}/scripts/
install -m 755  %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/udev/scripts/dvb.sh

install -m 644 %SOURCE8 $RPM_BUILD_ROOT/etc/%{name}/links.conf

# persistent lib
install -m 0755 %SOURCE50 $RPM_BUILD_ROOT%{helpers_path}
# copy temp rules
install -m 0755 %SOURCE51 $RPM_BUILD_ROOT/sbin/
# net rules
install -m 0644 %SOURCE60 $RPM_BUILD_ROOT/etc/%{name}/rules.d/
install -m 0755 %SOURCE61 $RPM_BUILD_ROOT%{helpers_path}/net_name_helper
install -m 0755 %SOURCE62 $RPM_BUILD_ROOT%{helpers_path}/net_create_ifcfg
install -m 0755 %SOURCE63 $RPM_BUILD_ROOT%{helpers_path}/net_action
install -D -m 0644 %SOURCE64 $RPM_BUILD_ROOT/etc/sysconfig/udev_net
# persistent block
install -m 0644 %SOURCE70 $RPM_BUILD_ROOT/etc/%{name}/rules.d/
install -m 0755 %SOURCE71 $RPM_BUILD_ROOT%{helpers_path}/cdrom_helper

mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/udev/conf.d/
install -m 0755 %SOURCE33 $RPM_BUILD_ROOT/%_sysconfdir/udev/conf.d/
install -m 0755 %SOURCE34 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/udev/agents.d/usb

$RPM_BUILD_ROOT%{_sbindir}/udev_import_usermap --no-driver-agent usb %{SOURCE40} %{SOURCE41} > $RPM_BUILD_ROOT/etc/udev/rules.d/70-hotplug_map.rules

# (blino) vol_id is used by drakx
ln -s ..%{helpers_path}/vol_id $RPM_BUILD_ROOT/sbin/

# (bluca, tv, blino) fix agent and library path on x86_64
perl -pi -e "s@/lib/udev@%{helpers_path}@" \
     $RPM_BUILD_ROOT%{_initrddir}/udev \
     $RPM_BUILD_ROOT/sbin/udev_copy_temp_rules \
     $RPM_BUILD_ROOT%{helpers_path}/* \
     $RPM_BUILD_ROOT/etc/%{name}/rules.d/*

mkdir -p $RPM_BUILD_ROOT/lib/firmware

%check
%if %{_lib} != lib
find $RPM_BUILD_ROOT \
     -not -wholename '*/usr/*/debug/*' -a \
     -not -wholename '*/usr/share/doc/*' -a \
     -not -wholename '*/usr/share/man/*' \
     -print0 \
     | xargs -0 grep /lib/udev && exit 1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_volid_name} -p /sbin/ldconfig
%postun -n %{lib_volid_name} -p /sbin/ldconfig

%pre
if [ -d /lib/hotplug/firmware ]; then
	echo "Moving /lib/hotplug/firmware to /lib/firmware"
	mkdir -p /lib/firmware
	mv /lib/hotplug/firmware/* /lib/firmware/ 2>/dev/null
	rmdir -p --ignore-fail-on-non-empty /lib/hotplug/firmware
	:
fi

%triggerpostun -- udev < 064-4mdk
for i in /etc/udev/rules.d/{dvd,mouse}.rules; do
    [[ -e $i ]] && mv ${i}{,.old};
done
:

%triggerpostun -- udev < 068-17mdk
rm -f /etc/rc.d/*/{K,S}*udev

%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) /sbin/udevcontrol
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/udevstart
%attr(0755,root,root) /sbin/udevtrigger
%attr(0755,root,root) /sbin/udevsettle
%attr(0755,root,root) %{_bindir}/udevinfo
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0755,root,root) /sbin/udev_copy_temp_rules
%dir %_sysconfdir/udev/agents.d
%dir %_sysconfdir/udev/agents.d/usb
%config(noreplace) %{_sysconfdir}/sysconfig/udev_net
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %{_sysconfdir}/scsi_id.config
%config(noreplace) %{_sysconfdir}/%{name}/rules.d/*
%attr(0755,root,root) %{_sysconfdir}/%{name}/scripts/*
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_sysconfdir}/udev/scripts
%dir %_sysconfdir/udev/conf.d/
%attr(0755,root,root) %_sysconfdir/udev/conf.d/*
%_mandir/man7/*
%_mandir/man8/*
%exclude %_mandir/man8/udevtest*
%exclude %_mandir/man8/udevmonitor*
%dir /lib/firmware
%dir %{helpers_path}
%attr(0755,root,root) %{helpers_path}/ata_id
%attr(0755,root,root) %{helpers_path}/cdrom_id
%attr(0755,root,root) %{helpers_path}/dasd_id
%attr(0755,root,root) %{helpers_path}/edd_id
%attr(0755,root,root) %{helpers_path}/path_id
%attr(0755,root,root) %{helpers_path}/scsi_id
%attr(0755,root,root) %{helpers_path}/usb_id
%attr(0755,root,root) %{helpers_path}/vol_id
%attr(0755,root,root) %{helpers_path}/firmware.sh
%attr(0755,root,root) %{helpers_path}/cdrom_helper
%attr(0755,root,root) %{helpers_path}/udev_persistent_lib.sh
%attr(0755,root,root) %{helpers_path}/net_create_ifcfg
%attr(0755,root,root) %{helpers_path}/net_action
%attr(0755,root,root) %{helpers_path}/net_name_helper
%attr(0755,root,root) /sbin/scsi_id
%attr(0755,root,root) /sbin/vol_id

%if %use_klibc
#%files klibc
#%defattr(0644,root,root,0755)
#%doc COPYING README TODO ChangeLog
%attr(0755,root,root) /sbin/*-klibc
%endif

%files doc
%defattr(0644,root,root,0755)
%doc COPYING README README.* TODO ChangeLog RELEASE-NOTES
%doc docs/overview docs/udev_vs_devfs
%doc extras/run_directory/RFC-dev.d docs/writing_udev_rules/*

%files tools
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/udevtest
%attr(0755,root,root) %{_sbindir}/udevmonitor
%attr(0755,root,root) %{_sbindir}/udev_import_usermap
%_mandir/man8/udevtest*
%_mandir/man8/udevmonitor*

%files -n %{lib_volid_name}
/%{_lib}/lib%{volid_name}.so.*

%files -n %{lib_volid_name}-devel
%{_libdir}/lib%{volid_name}.*
%{_libdir}/pkgconfig/lib%{volid_name}.pc
%{_includedir}/lib%{volid_name}.h



%changelog
* Tue Sep 26 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-26 11:06:16 (62654)
- allow udev to start/stop usb* interfaces (#21717)

* Tue Sep 19 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-19 06:46:07 (62313)
- 098-6mdv

* Tue Sep 19 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-19 06:44:47 (62311)
- don't match on VLAN interfaces (from Andrey Borzenkov, #24369)

* Tue Sep 19 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-19 06:30:56 (62310)
- blacklist usb* interfaces, not usbnet* (#21717)

* Tue Sep 19 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-19 06:26:10 (62309)
- don't let udev rename wifi* interfaces of madwifi/hostap drivers (by matching on type sysfs attr, idea borrowed from Debian, #21273 and #25911)

* Sun Sep 17 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-17 09:10:41 (61788)
- fix input device nodes creation in coldplug (#25841)

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 23:49:26 (61705)
- udev-098-4mdv2007.0

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 23:43:33 (61704)
- add input coldplug support back (#25432)

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 23:42:46 (61703)
- modprobe sg for SCSI devices (from Suse rules, #22899)

* Fri Sep 15 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-15 23:13:15 (61702)
- match modalias rules using sysfs instead of environment, so that coldplug can work again

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 05:43:17 (59740)
- increase release

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 05:42:57 (59739)
- remove TPM rules, they should be provided by an eventual TPM Software Stack package (#24885)

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 05:41:03 (59738)
- fix library path in copy_temp_rules script (#25125)

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 05:39:28 (59737)
- check that /lib/udev is not used when helpers are not installed in /lib

* Wed Aug 30 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-08-30 09:48:18 (58808)
- Disable visor module autoload, we uses libusb now

* Mon Aug 28 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-28 07:51:10 (58289)
- 098
- don't use userdb parser anymore, it has been removed upstream and
  ldap now defaults to soft bind policy

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 21:05:58 (56525)
- remove incorrect check for "unknown" runlevel

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 20:32:02 (56520)
- rely on /dev/.started in udev service (patch from Emmanuel Blindauer, #24280)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 20:28:48 (56519)
- bunzip scripts and configuration files

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 20:22:14 (56517)
- move udev_copy_temp_rules in /sbin (#23196)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 20:13:34 (56516)
- package 95-udev-late.rules (and use rules.d path as source)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 20:07:59 (56515)
- fix segfault when a blank line is read in passwd/group files (#24303)

* Wed Aug 16 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-16 19:48:45 (56512)
- 097

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 08:56:58 (54435)
- dev-096-4mdv2007.0

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 08:56:13 (54434)
- fix udev helpers path in net rules on x86_64 (to fix interface naming issues, including firewire)

* Tue Aug 08 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-08-08 08:48:14 (54429)
- import udev-096-3mdv2007.0

* Fri Aug 04 2006 Olivier Blin <blino@mandriva.com> 096-3mdv2007.0
- add ax*|nr*|rose* back in blacklist (#20492)

* Thu Jul 27 2006 Olivier Blin <blino@mandriva.com> 096-2mdv2007.0
- move net rules in 62-net.rules
- split udev_net_helper as net_create_ifcfg and net_action
- allow to modify blacklists in /etc/sysconfig/udev_net
- apply blacklists for interfaces renaming (#23663, #22748)
- blacklist some interfaces for automatic net actions:
  o usbnet* (#21717)
  o pseudo wifi interfaces: wifi* (#23662)
  o bridge interfaces: br*
  o Xen interfaces: vbd*|vtpm*|vif*
- remove the "udev_" prefix of some helpers

* Mon Jul 10 2006 Olivier Blin <oblin@mandriva.com> 096-1mdv2007.0
- New release 096

* Tue Jun 27 2006 Olivier Blin <oblin@mandriva.com> 094-3mdv2007.0
- Patch51: always use own user db parser (from 2006.0, #19690)
- blacklist br* interfaces in udev_net_helper (from 2006.0, #21177)
- blacklist ax*, nr* and rose* interface in udev_net_helper (#20492)

* Thu Jun 15 2006 Olivier Blin <oblin@mandriva.com> 094-2mdv2007.0
- Source50: add ide class MODALIAS autoloading support
  (thanks to Arnaud Patard for the hint)

* Mon Jun 12 2006 Olivier Blin <oblin@mandriva.com> 094-1mdv2007.0
- New release 094
- Source50: use modprobe to do input hotplugging
- Source7: don't call input coldplug helper
- remove old input helpers and patches (Patch42, Source35, Source36)
- install new 60-persistent-input.rules
- add back writeable function in udev_net_name_helper
  (-w won't tell what we need if the system is mounted ro)

* Mon May 29 2006 Olivier Blin <oblin@mandriva.com> 093-1mdk
- New release 093
- use firmware.sh instead of firmware_helper
- from Andrey Borzenkov: fix more '=' vs. '==' in RESULT rules (#22762)

* Tue May 23 2006 Olivier Blin <oblin@mandriva.com> 092-2mdk
- from Thierry Vignaud: enable to actually start udev if it previously
  failed to do because of missing /sys

* Tue May 23 2006 Olivier Blin <oblin@mandriva.com> 092-1mdk
- New release 092

* Mon May 15 2006 Olivier Blin <oblin@mandriva.com> 091-1mdk
- New release 091
- Patch35: update for udev-090+ and simplify
- Source2: remove udev_ieee1394_helper occurences,
  modalias rules will do fine for ieee1394 subsystem with kernel 2.6.14+
- remove udev_ieee1394_helper (Source37)
- package udevsettle

* Mon May 15 2006 Olivier Blin <oblin@mandriva.com> 089-7mdk
- Source50: use -w test instead of custom writeable function 
- obsolete speedtouch and eagle-usb packages (done in udev since
  they now use firmware hotplugging instead of old user space tools)
- from Andrey Borzenkov:
  o Source50: create rules in /dev/.udev in /etc/udev isn't writable
  o Source53: use sed instead of tr so that udev_net_name_helper
    works even when /usr isn't mounted
  o Source54: helper to copy udev rules from /dev/.udev/ to /etc/udev

* Sat Apr 22 2006 Luca Berra <bluca@vodka.it> 089-6mdk
- really fix coldplug agent path on x86_64

* Fri Apr 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 089-5mdk
- source 2: fix /proc/bus/usb permissions (#21993)

* Thu Apr 13 2006 Thierry Vignaud <tvignaud@mandriva.com> 089-4mdk
- fix coldplug agent path on x86_64
- source 2: fix some checks (#21911)
- source 31: handle tun devices (#21113)
- source 50: handle comments (#21205)

* Fri Apr 07 2006 Olivier Blin <oblin@mandriva.com> 089-3mdk
- symlink vol_id in /sbin (used by drakx)

* Thu Apr 06 2006 Olivier Blin <oblin@mandriva.com> 089-2mdk
- skip pam_console_apply for devices without device nodes
  (from Andrey Borzenkov, #21874)
- don't use MODALIAS anymore in rules
  (but use SYSFS{modalias} and %%s{modalias} instead)
- use flock to avoid race conditions in persistent rules creation (#21500)

* Tue Apr 04 2006 Olivier Blin <oblin@mandriva.com> 089-1mdk
- 089
- remove pie build options (it breaks volume_id build)
- package volume_id library
- move *_id programs to /lib/udev (to reflect upstream structure)
  and modifiy 50-mdk.rules accordingly
- move helpers in /lib64/udev on 64 bits
- move 5x-*.rules persistent helpers to 6x-*.rules, since they need
  60-persistent-storage.rules to be run (#21720 again)
  (cooker users should delete their 51-*_config.rules files manually)

* Mon Apr 03 2006 Olivier Blin <oblin@mandriva.com> 088-2mdk
- use 60-persistent-storage.rules from git (#21720)

* Mon Mar 27 2006 Olivier Blin <oblin@mandriva.com> 088-1mdk
- 088
- rename 50-persistent.rules as 60-persistent-storage.rules
- add udevtrigger

* Mon Mar 20 2006 Olivier Blin <oblin@mandriva.com> 087-1mdk
- 087
- add 05-udev-early.rules
- remove raid-devfs.sh and its rules (removed upstream)
- remove WAIT_FOR_SYSFS rules in 50-mdk.rules (now in early rules)

* Mon Mar 20 2006 Michael Scherer <misc@mandriva.org> 086-4mdk
- move man page of tools in udev-tools, fix #21676

* Thu Mar 16 2006 Olivier Blin <oblin@mandriva.com> 086-3mdk
- don't require wireless-tools anymore, ifrename is better
  replaced with udev rules

* Tue Mar 14 2006 Olivier Blin <oblin@mandriva.com> 086-2mdk
- remove pcmcia rules, they are already in pcmciautils

* Fri Mar 03 2006 Olivier Blin <oblin@mandriva.com> 086-1mdk
- 086
- Source53: ignore zeroed MAC addresses (#21414)

* Thu Feb 09 2006 Olivier Blin <oblin@mandriva.com> 084-2mdk
- Source53: add script to create persistent net interface rules
  in 51-net_config.rules (udev_net_name_helper)
- call udev_net_name_helper on interface creation (Source52)
- don't use ifrename anymore in the net helper (Source31)

* Sun Feb 05 2006 Olivier Blin <oblin@mandriva.com> 084-1mdk
- 084
- remove Patch36, fixed upstream
- remove old docs (not in tarball anymore)

* Thu Feb 02 2006 Olivier Blin <oblin@mandriva.com> 082-5mdk
- create persistent cdrom rules in 51-block_config.rules (Source[50,51,52])
- use pam_console_apply in Source42

* Sat Jan 28 2006 Olivier Blin <oblin@mandriva.com> 082-4mdk
- use pam_console_apply instead of pam_console_setowner

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 082-3mdk
- hide kernel messages when running udevstart from the initscript

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 082-2mdk
- create usb devices in /dev/bus/usb (needs a 2.6.14 kernel)
- remove duplicated ieee1394 hotplug rule

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 082-1mdk
- 082
- install udevstart manually, because our outdated kernel makes it mandatory
- don't package udev and udevsend anymore
- clean initscript:
  o remove unused bash coldplug code
  o remove old alsa workaround
  o don't export ACTION
  o echo an empty path in /proc/sys/kernel/hotplug
- directly call pam_console_setowner again (many thanks to Andrey
  Borzenkov for the patch applied upstream)
- remove Patch1, merged upstream
- install udev(7) man page
- don't strip binaries during build, to have a debug package
- Patch36: handle coldplug in udevstart for entries with no name
  (this has been broken upstream)

* Tue Jan 24 2006 Olivier Blin <oblin@mandriva.com> 081-4mdk
- calm down, add missing helpers back

* Tue Jan 24 2006 Olivier Blin <oblin@mandriva.com> 081-3mdk
- Source2: call pam_console_setowner using sh to get full environment
  (and run it on add only)

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 081-2mdk
- Source2: directly call pam_console_setowner and apply permissions
  on usbfs files as well (#20269)
- drop Patch26 and pam_console.dev (not used anymore)

* Fri Jan 20 2006 Olivier Blin <oblin@mandriva.com> 081-1mdk
- 081
- enable firewire controllers cold plug (#20747)
- fix a MODALIAS== check (don't use = to test)
- Patch1: add missing include to enable build with -fpie
- compile with -fpie and -pie to purify (Thierry Vignaud)

* Thu Jan 12 2006 Olivier Blin <oblin@mandriva.com> 080-2mdk
- fix coldplug patch to handle entries from /devices again

* Wed Jan 11 2006 Olivier Blin <oblin@mandriva.com> 080-1mdk
- 080
- remove incorrect WAIT_FOR_SYSFS for BUS=="scsi" rules
  (thanks to Andrey Borzenkov for the advice)
- replace some BUS="foo" with BUS=="foo"
- remove %%e rules for cdroms and scanners, it's deprecated, the
  solution would now be to create rules for each device, using device
  IDs (use harddrake for that?)
- rediff obsolete coldplug patch, still needed because our kernel is
  way outdated and doesn't know how to replay uevents
- rediff crappy input patch, still needed because our kernel is way
  outdated

* Tue Jan 10 2006 Olivier Blin <oblin@mandriva.com> 079-10mdk
- build edd_id and dasd_id (#20568)

* Tue Jan 10 2006 Olivier Blin <oblin@mandriva.com> 079-9mdk
- Source2: fix PROGRAM= rules

* Tue Jan 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 079-8mdk
- source 2:
  o update a couple rules
  o try harder to handle ZIP

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 079-7mdk
- pam_console.dev cleanup (from Andrey Borzenkov, #20527)
- drop Patch51: udevinfo is no longer needed in /bin

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 079-6mdk
- drop a few more devfs compat entries

* Sun Jan 01 2006 Olivier Blin <oblin@mandriva.com> 079-5mdk
- from Andrey Borzenkov: fix pam_console.dev run rule

* Sat Dec 31 2005 Olivier Blin <oblin@mandriva.com> 079-4mdk
- workaround kernel events sent too early for sysfs "type" attributes
  to be read (Andrey Borzenkov, #20376)

* Fri Dec 30 2005 Olivier Blin <oblin@mandriva.com> 079-3mdk
- add path_id

* Mon Dec 26 2005 Olivier Blin <oblin@mandriva.com> 079-2mdk
- remove unused devfs scripts (Source10, Patch4)
- remove devfs relics in udev.rules (J.A. Magallon)

* Fri Dec 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 079-1mdk
- new release
- source 2: drop disc, pty, tts & tty devfs compat rules (smaller DB)
- source 7: fix restart (broken since 078)

* Tue Dec 20 2005 Olivier Blin <oblin@mandriva.com> 078-1mdk
- 078

* Mon Dec 12 2005 Thierry Vignaud <tvignaud@mandriva.com> 077-2mdk
- use %%serverbuild

* Fri Dec 09 2005 Olivier Blin <oblin@mandriva.com> 077-1mdk
- 077
- rediff Patch51
- kill dxr3 support (Source9, migrated to the em8300 package)
- remove start_udev, inputdev.sh
- kill udev_run_hotplugd
- kill dev.d directory and udev_run_devd
- remove hotplug.rules (Source11)
- move helpers to /lib/udev (firmware_helper, pam_console.dev, udev_*_helper)
- add a rule to run explicitely pam_console.dev
- add persistent rules (create links by path/id/label/uuid in /dev/disk)

* Tue Dec 06 2005 Olivier Blin <oblin@mandriva.com> 075-3mdk
- don't try to run non-existent driver agents

* Mon Dec 05 2005 Olivier Blin <oblin@mandriva.com> 075-2mdk
- remove zaptel rules (moved in dkms-zaptel, Stefan van der Eijk)

* Wed Nov 16 2005 Olivier Blin <oblin@mandriva.com> 075-1mdk
- 075
- disable klibc for now (the klibc sources aren't included anymore)
  (also drop Patch20 and Patch23)
- drop Patch50 (and udeveventrecorder, udevinitsend, udevrulescompile)
- rediff Patch51

* Fri Oct 28 2005 Olivier Blin <oblin@mandriva.com> 071-1mdk
- 071
- remove deprecated gen_scsi_id_udev_rules.sh
- don't setup vmnet interfaces in udev_net_helper (#19484)

* Tue Oct 04 2005 Olivier Blin <oblin@mandriva.com> 070-3mdk
- don't show harmless errors in pre script (thanks to Pascal Terjan)

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 070-2mdk
- make sure the pre script doesn't fail (thanks to Rafael)

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 070-1mdk
- 0.70
- drop Patch37 (fixed upstream)
- drop Patch39, Patch41, Patch43 (backport)
- drop chassis_id (dropped upstream)
- drop Patch33, Patch40 (cdsymlinks is dropped)
- Source2: use cdrom_id to get cdrom names
- Source7: don't copy initrd's /dev anymore
- Patch50: add missing programs in Makefile's install target
- remove old docs
- specs cleanups, remove redundant install
- use /lib/firmware as firmware path (drop Patch38)

* Mon Sep 19 2005 Olivier Blin <oblin@mandriva.com> 068-34mdk
- udevstart: fix SCSI coldplug

* Mon Sep 19 2005 Olivier Blin <oblin@mandriva.com> 068-33mdk
- Source2: preload usbhid before usbmouse is loaded

* Sat Sep 17 2005 Olivier Blin <oblin@mandriva.com> 068-32mdk
- Source42: floppy-extra-devs.sh (from Slackware, + pam additions)
- Source2: create extra floppy devices

* Sat Sep 17 2005 Olivier Blin <oblin@mandriva.com> 068-31mdk
- udev_net_helper: export IN_HOTPLUG for ifdown too

* Thu Sep 15 2005 Olivier Blin <oblin@mandriva.com> 068-30mdk
- Patch43 (udevd): check all event sources with every iteration
- don't run udev_agent_helper anymore, it's broken anyway

* Wed Sep 14 2005 Olivier Blin <oblin@mandriva.com> 068-29mdk
- Source2: fix pci coldplug (usb controllers) in some weird cases
  where the parent device would have a class that doesn't match

* Mon Sep 12 2005 Olivier Blin <oblin@mandriva.com> 068-28mdk
- Source37: udev_ieee1394_helper (forked from hotplug)
- Source2: run ieee1394 helper when needed
- fix net helper (because hotplug.functions may be missing)

* Mon Sep 12 2005 Olivier Blin <oblin@mandriva.com> 068-27mdk
- Patch41: keep input subsystem events even if DEVPATH isn't set
- Source35: udev_input_coldplug (forked from hotplug's input.rc)
- Source36: udev_input_helper (forked from hotplug's input.agent)
- Source7: run udev_input_coldplug after udevstart
- Source2: run udev_input_helper for input subsystem events

* Sun Sep 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-26mdk
- source 2: fix MD rules (#18422)

* Fri Sep 09 2005 Olivier Blin <oblin@mandriva.com> 068-25mdk
- don't copy initrd's /dev/shm in init script,
  it removed the world writable and sticky permissions,
  while it is required (e.g. for ATI drivers)

* Fri Sep 09 2005 Olivier Blin <oblin@mandriva.com> 068-24mdk
- udev_net_helper: handle bluetooth network devices
  (Jan Ciger, #18283)

* Fri Sep 09 2005 Olivier Blin <oblin@mandriva.com> 068-23mdk
- Patch41: don't upload spurious firmware data (upstream patch)

* Wed Sep 07 2005 Olivier Blin <oblin@mandriva.com> 068-22mdk
- package firmware directories and links

* Tue Sep 06 2005 Olivier Blin <oblin@mandriva.com> 068-21mdk
- Patch40: fix cd symlinks creation (J.A. Magallon, #17724)

* Mon Sep 05 2005 Olivier Blin <oblin@mandriva.com> 068-20mdk
- ignore lock file in udev service at boot (#18120)
- copy /initrd/dev in /dev to keep lvm and dmraid nodes (#18233)
- add scsi coldplug support in udevstart (#18148)

* Sun Sep 04 2005 Olivier Blin <oblin@mandriva.com> 068-19mdk
- Source34: handle match flags correctly
- use builtin udev_import_usermap in %%install, not system's

* Fri Sep 02 2005 Olivier Blin <oblin@mandriva.com> 068-18mdk
- Source32: fix typo in agent path

* Fri Sep 02 2005 Olivier Blin <oblin@mandriva.com> 068-17mdk
- Source7: don't make the udev service chkconfig'able
- remove udev service on upgrade from udev < 068-17mdk

* Fri Sep 02 2005 Olivier Blin <oblin@mandriva.com> 068-16mdk
- include rules converted from old hotplug usermap
- require wireless-tools (for udev_net_helper)
- drop hotplug requirement

* Wed Aug 31 2005 Olivier Blin <oblin@mandriva.com> 068-15mdk
- use correct patch for coldplug (#18089)

* Tue Aug 30 2005 Olivier Blin <oblin@mandriva.com> 068-14mdk
- create udev-tools subpackage

* Tue Aug 30 2005 Olivier Blin <oblin@mandriva.com> 068-13mdk
- don't add udev service with chkconfig, it's handled by rc.sysinit

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 068-12mdk
- use commas in rules generated by udev_import_usermap

* Sat Aug 27 2005 Olivier Blin <oblin@mandriva.com> 068-11mdk
- add --no-modprobe and --no-driver-agent options to udev_import_usermap

* Fri Aug 26 2005 Olivier Blin <oblin@mandriva.com> 068-10mdk
- Source2: allow PCI coldplug for USB controllers only
- update Patch35 to replay events for PCI devices too (Titi & me)
- add /etc/udev/agents.d and /etc/udev/agents.d/usb directories
- update Source32 to use /etc/udev/agents.d (agent helper)
- update Source34 to use /etc/udev/agents.d (usermap import)

* Fri Aug 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-9mdk
- source 2: fix support for RAID Compaq smart array & Mylex controllers)

* Thu Aug 25 2005 Olivier Blin <oblin@mandriva.com> 068-8mdk
- add udev_import_usermap to migrate hotplug usermaps (Source34)
- Patch39: fix firmware path termination (upstream patch)

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-7mdk
- drop source 30 and use upstream firmware helper
- patch 38: fix firmware path in upstream helper

* Wed Aug 24 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-6mdk
- move doc in its own subpackage (as well as debug tools), thus reducing size
  of minimal install

* Tue Aug 23 2005 Olivier Blin <oblin@mandriva.com> 068-5mdk
- Source 31: call ifdown on network device removal (#17749)

* Tue Aug 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-4mdk
- source 33: obey what /etc/sysconfig/mouse settings (pixel, #17307)

* Mon Aug 22 2005 Olivier Blin <oblin@mandriva.com> 068-3mdk
- source 2: fix firmware loading (Mark Draheim, #17679)
  ENV{}== and ENV{}= are not equivalent as of udev 068

* Fri Aug 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-2mdk
- source 2: only link "psaux" on "psmouse", not on "mouse" (mousedrake taking
  care of the later) (#17461)

* Fri Aug 19 2005 Thierry Vignaud <tvignaud@mandriva.com> 068-1mdk
- new release
- package udeveventrecorder

* Thu Aug 18 2005 Olivier Blin <oblin@mandriva.com> 067-5mdk
- source31: more generic fix for #17550
- source31: use the "daemon" parameter of ifup instead of "boot"

* Thu Aug 18 2005 Olivier Blin <oblin@mandriva.com> 067-4mdk
- source 35: use global exec list for usb coldplug

* Mon Aug 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-3mdk
- source 31: add support for usbnet (#17550)

* Sun Aug 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-2mdk
- package udevrulescompile

* Sun Aug 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 067-1mdk
- new release
- redo patch 26 & 35
- kill patches 34 & 36

* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-8mdk
- workaround rpm dropping exec permissions on /etc/dev.d/*/*

* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-7mdk
- patch 36: do not print usage help if udevinfo -q symlink -p path returns no
  symlinks
- patch 37: specify which device isn't found in db by udevinfo
- rpmlint fixes
- source 2: ignore the events generated by virtual consoles

* Mon Aug 08 2005 Olivier Blin <oblin@mandriva.com> 065-6mdk
- add missing includes to fix udev_agent_helper segfaults on x86_64

* Mon Aug 08 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-5mdk
- source 2:
  o fix/factorize SCSI disk & sg rules
  o factorize lp rules
  o describe %%e and %%s{XXXX}
  o move dynamic stuff into dynamic package
- own all directories (#17367)
- source 32: new helper enabling to use external agents (blino)

* Sun Aug 07 2005 Olivier Blin <oblin@mandriva.com> 065-4mdk
- remove versionned Requires for kernel-source, it doesn't work since
  kernel-source provides an unversionned kernel-source, which matchs
  every versionned Requires of kernel-source

* Sat Aug 06 2005 Olivier Blin <oblin@mandriva.com> 065-3mdk
- better USB coldplug support in Patch35
  (i.e. do not run udevsend while it can be avoided)

* Sat Aug 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-2mdk
- enable log in glibc build (enabled by ENV{UDEV_LOG}=debug or through
  /etc/udev/udev.conf)
- source 2:
  o add some comments for scsi
  o ready for dbus-0.3x/hal-0.5
- patch 35: add USB coldplug support (blino & me)
- source 7: restart syslogd on force-reload

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 065-1mdk
- new release
- source 2:
  o prevent forking hotplug/dynamic agents for unmanaged console stuff (#15371)
  o cleaner rule for device mapper
  o add support for tpm devices
  o more firewire rules (+ s/usb/video/ on group)
- patch 34: fix udevmonitor build

* Fri Aug 05 2005 Olivier Blin <oblin@mandriva.com> 064-5mdk
- Source2: use udev_net_helper to handle net events
- Source30: create udev_net_helper from hotplug's net.agent
  (minimize differences with hotplug's original net.agent)
- fix EXTRAS definition to really handle ata_id
- add prereq on rpm-helper
- fix previous changelog (the installer used to create udev rules too)
- use cdrom group for sr[0-9]* devices (Thierry Vignaud)

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-4mdk
- fix firmware loading (#17178)
- enable function id matching for pcmcia after loading modules
- source 7:
  o explain why we don't start when /sys isn't mounted
  o no fork bomb (#15371) (udev will serialize events anyway)
  o disable run_udev (try, may be reverted later)
- on update, disable rules written by blino devfsd->udev migration script and
  installer since they override our own rules (thus resulting in missing nodes
  in /dev and unapplied permissions) (#17229, #17307)

* Sat Jul 30 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-3mdk
- source 30: fix firmware path (#17150)

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-2mdk
- kill blino devfsd->udev migration script since it results in writing rules
  that hide our own rules (thus resulting in missing nodes in /dev and
  unapplied permissions)

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-2mdk
- use mkrel

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 064-1mdk
- new release
- source 2:
  o update to new syntax
  o provide more links for cpu devices
  o create scannerX if needed
- faster boot (reducing amount of time spent in hotplug):
  o source 30: obsolete firmware.agent
  o source 2: new firmware handler
    * update to new syntax
    * obsolete  firmware.agent, ieee1394.agent & scsi.agent
	* load modules for pci, pcmcia & usb

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 063-1mdk
- new release
- fix firewire support with kernel-2.6.12+ (#16812)
- source 11: compatibility support for the obsolete hotplug.d and dev.d
  directories
- build ata_id, udev_run, usb_id & volume_id

* Tue Jun 21 2005 Frederic Lepied <flepied@mandriva.com> 058-5mdk
- fixed dependencies

* Fri Jun 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-4mdk
- source 7: when restarting the service, prevent overriding current sound
  volume with volume restored at boot

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-3mdk
- we do not need anymore to restart syslogd on post since we don't umount /dev
  anymore

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-2mdk
- source 2:
  o fix joystick permissions (#15378)
  o add /dev/js0 link on input/js0 (#15378)

* Thu Jun 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 058-1mdk
- new release
- patch 4: fix devfs names (#15749)
- source 8: workaround slow nvidia devices creation
- kill patches 27 & 28 (another fix was included upstream) as well as 31 & 32
- patch 33: enable cdrom0 and numbered cd links (thus replacing old patches
  27 & 28)

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 057-2mdk
- fix udevstart-klibc

* Mon Apr 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 057-1mdk
- new release
- kill patch 22

* Wed Apr 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 054-6mdk 
- update source 2:
  - fix typo for visor path script (Mdk bug #15280)
  - create symlink for USB ZIP/JAZ devices to be console privilege
- Update patch 26 to call pam_console_setowner correctly

* Thu Mar 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-5mdk
- source 2:
  o fix DVB perms (#15117)
  o fix raid devices

* Thu Mar 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-4mdk
- source 7: fix redirecting error messages (#14726)

* Mon Mar 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-3mdk
- rename default rules from 00 to 50 in order to allow custom rules to override
  our default ones (#14446)
- do not precreate dri anymore

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-2mdk
- source 7: some systems need larger /dev (#14092)
- fix creation of DRI device (#14313)
- patch 31: fix dvd burners devices (#14208)
- patch 32: fix cd info parsing when there's only one device (#13700)

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 054-1mdk
- new release
- kill patch 29 (merged upstream)
- source 2, patch 30: further try to fix ZIP devices (#11663)
- source 7: do not access /var/run unless accessible (#13616)

* Thu Feb 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-5mdk
- source 2: fix DRI rule for card0
- source 8: precreate dri/card0 so that pam set proper permissions on login,
  even when not using a DM (aka directly running startx)

* Fri Feb 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-4mdk
- source 2: fix PDA devices (frederic crozat)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-3mdk
- source 2: fix par0 device (#13639)

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-2mdk
- patch 27: fix missing cdrom0
- patch 28: generate cdrom0, cdrom1, ... instead of cdrom1, cdrom2, ...

* Sat Feb 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 053-1mdk
- new release
- rediff patch 4
- kill patches 24 & 25 (merged upstream)
- source 2:
  o use the new SUBSYSTEM keyword for sound permissions
  o set a few more permissons
  o fix fb permissions

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-2mdk
- fix the devfsd compat links for PDA (#12167)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 051-1mdk
- new release (fix missing cdrom* links) (#13537)
- source 2:
  o merge in source 4 (permissions are dead in new udev)
  o add support for ts input devices
  o add support for aoe char devices (kernel-2.6.11+)
  o add support for ttyUSB*
  o fix missing lp links (#13027)
  o use binary cdsymlinks rather than script one (quite a lot faster)
- source 7: do not replay udev on rc.sysinit => init 5 switch

* Thu Feb 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-17mdk
- provide binary cdsymlinks for live CDs

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-16mdk
- source 7: increase firmware loading timeout from 10 up to 50 seconds,
  thus workarounding some firmware upload troubles

* Mon Feb 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-15mdk
- source 2:
  o add support for Infiniband devices (kernel-2.6.11-rc3)
  o fix support for ZIP devices (#11663) and relax test in order to support
    also IOMEGA ZIP 250

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-14mdk
- source 2, 10: switch to debian scsi helper script (real old devfs names, not
  new richard gooch devfs names with extra pci domain field and the like)
- source 7:
  o "replay" block device events on startup
  o rework scsi devfs compat names so that devfs names are linked on old names
    instead of the reverse (fix #12756)
  o switch to hotplug mode
  o fix force-reload
  o more subsys checks

* Tue Jan 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-13mdk
- source 2: generate devfs compat names for SCSI devices

* Wed Jan 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-12mdk
- source 2: workaround devices that do not report media changes (#11663)
- source 7: run pam_console_apply in restart

* Tue Jan 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-11mdk
- source 7: workaround buggy entries in /proc for already running processes
  on stop/restart (#13032):
  o do nothing on stop (force-stop do what stop did previously)
  o rerun udevsart on restart
  o force-reload does what restart used to do
- fix doble call to udev on every hotplug event (#13082)

* Mon Jan 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-10mdk
- source 2: enable DVB rules for both older and newer kernels
- source 8: precreate lp0 (#13027) and rawctl (#11511) too 
- source 9: add support for dxr3 (#12959)
- fix some rpmlint warning

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-9mdk
- source 2: update DVD rules for kernel-2.6.9+ (#12999)
- patch 26: fix PAM lock check (#12987)

* Wed Jan 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-8mdk
- source 2: fix /dev/video0 link (#12978)

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-7mdk
- source 7:
  o reenable udev stop|restart
  o increase tmpfs size b/c some boxes have quite a large /dev
	(b/c of the new lockless filesystem-based /dev/.udevdb/ database...)
- source 8: explain links.conf

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-6mdk
- precreate parport0 (#12544), cpu/0/cpuid, cpu/0/microcode and cpu/0/msr

* Tue Jan 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-5mdk
- move sound stuff into sound-scripts

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-4mdk
- fix startup
- do not install compressed rules

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-3mdk
- rules:
  o merge in sources 2 & 3
  o add support for Zaptel, CPU, RAID (Compacq smart array & Mylex), cpad,
    devices
  o misc rules updates
  o explain DM rules
- update permissions
- precreated devices:
  o move device list from init script into /etc/udev/links.conf (a la debian)
  o precreate loop/0 and net/tun too
- patch 24: fix the NUMBERED_LINKS=0 case (debian #288635)
- patch 25: RAID helper

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-2mdk
- restore ALSA mixer in background

* Thu Dec 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 050-1mdk
- new release
- kill patches 5 & 21 (merged into source 7)
- precreate /dev/raw1394

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 046-1mdk
- new release
- rediff patch 21
- disable parrallel build (broken for now)

* Tue Nov 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-3mdk
- fix udevdir

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-2mdk
- add udevstart-klibc link

* Mon Nov 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 044-1mdk
- new release
- rediff patch 20 and 23

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-24mdk
- source 6: quiet it (+ perl_checker cleanups)

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-23mdk
- migrate devfs rules also on first install

* Fri Oct 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-22mdk
- source 6: migrate devfs rules when updating an old udev (and not during
  install) (blino, #10860)

* Mon Oct 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-21mdk
- source 3: add pktcdvd/control entry (#11553)

* Mon Oct 04 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 030-20mdk
- fix build on x86_64

* Tue Sep 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-19mdk
- mount /dev/pts and /dev/shm if needed

* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-18mdk
- drop source 1: obsoleted by source 4
- sources 4 and 5: add support for DVB (lamikr)
- restart syslog after udev updates (else minilogd is forked and eat memory)

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-17mdk
- activate pam support

* Wed Sep 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-16mdk
- start at level 01
- no log by default

* Wed Sep 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-15mdk
- fixed logic in init scripts when creating nodes

* Wed Sep 08 2004 Luca Berra <bluca@vodka.it> 030-14mdk 
- fix initscript again:
  don't create devices that already exist
  do not stop if running on /dev

* Mon Sep 06 2004 Luca Berra <bluca@vodka.it> 030-13mdk
- merge udev and udev-klibc package, only use klibc for udev and udevstart
- fix initscript if devfs found, and other minor issues
- do not conflict with devfsd

* Fri Sep 03 2004 Frederic Lepied <flepied@mandrakesoft.com> 030-12mdk
- added fd, loopd, sg, sr and st creation in init script
- start before syslog to have a correct /dev/log

* Tue Aug 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-11mdk
- patch 21: precreate /dev/ppp in order to enable kmod to autoload ppp
  related modules

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-10mdk
- patch 21: fix udev update (aka get proper perms after update)

* Thu Aug 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-9mdk
- add conflicts with devfsd

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-8mdk
- source 2: fix usb printers support (missing EOL)

* Wed Aug 11 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-7mdk
- really, really run on /dev instead of /udev even when not using
  --short-circuit

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-6mdk
- patch 21: on start, run scripts from /etc/udev/conf.d/ (so that drakx can
  drop commands there rather than devfsd rules in /etc/devfs/conf.d)

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-5mdk
- fix /dev/ptmx permissions by overwritting default perms with ours
- source 4: fix typo in comment
- patch 21: umount -l sometimes complains whereas kernel succeed a few seconds
  later; let quiet this

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-4mdk
- enhance description
- really run on /dev instead of /udev
- patch 21: run pam_console_apply on startup
- source 4: enhanced permissions (merge bits from rh & debian)
- remaining bug is lack of /dev/ptmx support in PAM

* Tue Aug 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 030-3mdk
- patch 21: enhanced sysv init script:
  o let's have std translated messages
  o fix stop
  o check kernel version
  o add devfsd guards
  o support lazy stop while system is still up
  o still a bug though: /proc/self/fd/ entries are bogus :-(
  o sync with debian
- source 4: extra perms
- udev service is devfsd successor capable

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-2mdk
- make rpmlint a bit happier
- dbus support was dropped: cleanup the spec

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 030-1mdk
- update to udev-030
- disable loging for klibc binaries
- dont build/install udevinfo-klibc
- add some new docs

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-5mdk
- build chassis_id and udev_volume_id too
- add scsi-devfs and start_udev scripts
- add /etc/dev.d/default and /etc/sysconfig/udev

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-4mdk
- fix hotplug script
- reenable klibc binaries and split them in different package

* Thu Jul 29 2004 Svetoslav Slavtchev <svetljo@gmx.de> 027-3mdk
- fix configuration files
- add some new rules

* Wed Jun 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-2mdk
- only make udev files writable

* Tue Jun 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 027-1mdk
- new release
- fix --short-circuit
- kill patch 1, 2 and 11 since /etc/udev/rules.d/ replaced /etc/udev/conf.d
- kill patch 3, 6 and 21 (merged upstream)
- redo patch 4, 5

* Thu Feb 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 013-4mdk
- don't build with klibc/dbus by default
- subsys support in service

* Mon Jan 19 2004 Svetoslav Slavtchev <svetljo@gmx.de> 013-3mdk
- patch 11: support for multiple configuration files (Andrej)
- better init script (Andrej)
- scsi_id-0.3
- add --with/--without klibc, dbus
- add some new devfs symlinks
- split udev.rules in devfs & lsb
- some more Makefile's tweaks

* Mon Jan 19 2004 Olivier Blin <blino@mandrake.org> 013-2mdk
- restore some executable perms

* Wed Jan 14 2004 Svetoslav Slavtchev <svetljo@gmx.de> 013-1mdk
- 013
- build klibc binary for initrd (udev-klibc)
  and glibc dynamic binary (udev)
- include scsi_id 
- better devfs like rules
- udev uses the udev.rules.devfs by default
- some tweaks to udev.permissions
- patch 4: tweak ide-devfs.sh to create all
  the symlinks devfs creates
- add core, fd/*, stdin, stdout, stderr support 
  to init script (stolen from the debian one)
- use dbus, now that we have it 
- From Olivier Blin <blino@mandrake.org> :
    - remove explicit dependency on libdbus package
    - fix BuildRequires (dbus-devel, libsysfs-devel)
    - define %%kernel_rel and %%kernel_dir
    - fix perms in %%files

* Mon Jan 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 012-1mdk
- new release

* Mon Dec 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 011-1mdk
- new release

* Wed Dec 17 2003 Nicolas Planel <nplanel@mandrakesoft.com> 009-1mdk
- 009.

* Wed Dec 10 2003 Nicolas Planel <nplanel@mandrakesoft.com> 008-1mdk
- 008.

* Fri Nov 28 2003 G?z Waschk <waschk@linux-mandrake.com> 007-2mdk
- buildrequires glibc-static-devel

* Tue Nov 25 2003 Nicolas Planel <nplanel@mandrakesoft.com> 007-1mdk
- 007.

* Wed Nov 19 2003 Nicolas Planel <nplanel@mandrakesoft.com> 006-1mdk
- First version for MandrakeSoft.

